Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Client

Name

### readChar()

Examples

    // Example by Tom Igoe

    import processing.net.*;
    Client myClient;
    char charIn;

    void setup() {
      size(200, 200);
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() {
      if (myClient.available() > 0) {
        charIn = myClient.readChar();
        println(dataIn);
      }
    }

Description | Returns the next byte in the buffer as a char. Returns -1 or 0xffff if nothing is there.

Syntax

    client.readChar()

Parameters

client | any variable of type Client

Returns | char
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT